apiVersion: builtin
kind: PatchTransformer
metadata:
  name: api-gateway-fastplatform
patch: |-
  - op: add
    path: '/spec/template/spec/containers/0/env/-'
    value:
      name: REMOTE_SCHEMA_URL_CORE_WEB_BACKEND
      value: $(WEB_BACKEND_URL)/graphql
  - op: add
    path: '/spec/template/spec/containers/0/env/-'
    value:
      name: REMOTE_SCHEMA_URL_CORE_MOBILE_PUSH_NOTIFICATION
      value: http://mobile-push-notification.$(fastplatform.global.namespace)/fastplatform/api/v1/graphql
  - op: add
    path: '/spec/template/spec/containers/0/env/-'
    value:
      name: REMOTE_SCHEMA_URL_ARC_FERTILIZATION_ARC
      value: http://fertilization-arc.$(fastplatform.global.namespace)/graphql
  - op: add
    path: '/spec/template/spec/containers/0/env/-'
    value:
      name: REMOTE_SCHEMA_URL_ILMATEENISTUS_METEOROLOGY_WEATHER
      value: http://meteorology-weather.$(fastplatform.global.namespace)/graphql
  - op: add
    path: '/spec/template/spec/containers/0/env/-'
    value:
      name: REMOTE_SCHEMA_URL_EE_IACS_PRIA
      value: http://iacs-pria.$(fastplatform.global.namespace)/graphql
target:
  group: serving.knative.dev
  kind: Service
  labelSelector: services/api-gateway=fastplatform
  version: v1
